using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.WebPortal
{
    public class WebUserAuth : CreationModificationEntity
    {
        /// <summary>
        /// 
        /// </summary>
        public string WebGUID { get; set; }

        /// <summary>
        /// 网站用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "姓名")]
        public string WebUserID { get; set; }

        /// <summary>
        /// id 号码
        /// </summary>
        [SugarColumn(ColumnDescription = "id 号码")]
        public string? DataId { get; set; }

        /// <summary>
        /// 自然人
        /// 法人
        /// </summary>
        [SugarColumn(ColumnDescription = "自然人,法人")]
        public string? Type { get; set; }

        /// <summary>
        /// 地址
        /// </summary>
        [SugarColumn(ColumnDescription = "地址")]
        public string? Address { get; set; }

        /// <summary>
        /// 生日
        /// </summary>
        [SugarColumn(ColumnDescription = "生日")]
        public string? Birth { get; set; }

        /// <summary>
        /// 文档类型
        /// </summary>
        [SugarColumn(ColumnDescription = "文档类型")]
        public string? DocumentType { get; set; }

        /// <summary>
        /// 身份证号码
        /// </summary>
        [SugarColumn(ColumnDescription = "身份证号码")]
        public string? IdNumber { get; set; }

        /// <summary>
        /// 未知
        /// </summary>
        [SugarColumn(ColumnDescription = "未知")]
        public string? Nationality { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "姓名")]
        public string? Name { get; set; }

        /// <summary>
        /// 性别
        /// 1-男
        /// 2-女
        /// </summary>
        [SugarColumn(ColumnDescription = " 性别 1-男,2-女")]
        public string? Sex { get; set; }

        /// <summary>
        /// 昵称
        /// </summary>
        [SugarColumn(ColumnDescription = "昵称")]
        public string? DisplayName { get; set; }

        /// <summary>
        /// 登陆名
        /// </summary>
        [SugarColumn(ColumnDescription = "登陆名")]
        public string? Username { get; set; }

        /// <summary>
        /// 手机号码
        /// </summary>
        [SugarColumn(ColumnDescription = "手机号码")]
        public string? EmployeeMobile { get; set; }

    }
}
